Bug 811732 - Review Request: python-tw2-jquery - jQuery for ToscaWidgets2
Review Request: python-tw2-jquery - jQuery for ToscaWidgets2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On: 811689
Blocks: 811739 812030 818293
  Show dependency treegraph
 
Reported: 2012-04-11 16:08 EDT by Ralph Bean
Modified: 2014-11-12 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 11:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nhorman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-04-11 16:08:14 EDT
Spec URL: http://threebean.org/rpm/python-tw2-jquery.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jquery-2.0.1-1.fc17.src.rpm
Description:
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

This module, tw2.jquery, provides toscawidgets2 (tw2) access to the
jQuery library, a namespace package for jQuery plugins, and convenience
classes for creating these plugins.

----

This package requires the following two packages which are currently in review:

python-tw2-core https://bugzilla.redhat.com/show_bug.cgi?id=720818
python-tw2-forms https://bugzilla.redhat.com/show_bug.cgi?id=811689
Comment 1 Ralph Bean 2012-04-11 16:14:13 EDT
I got the summary wrong in the initial spec.  Here is a second release.

Spec URL: http://threebean.org/rpm/python-tw2-jquery.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jquery-2.0.1-2.fc17.src.rpm
Comment 2 Ralph Bean 2012-04-11 17:13:57 EDT
And python-tw2-jquery was accidentally installing its test suite alongside itself which collided with python-tw2-jqplugins-ui's tests.  Here's an upstream change that fixes that.

Spec URL: http://threebean.org/rpm/python-tw2-jquery.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jquery-2.0.2-1.fc17.src.rpm
Comment 3 Ralph Bean 2012-05-02 14:27:46 EDT
Another release that mostly removes references to builtroot and defattr

Spec URL: http://threebean.org/rpm/python-tw2-jquery.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jquery-2.0.2-2.fc17.src.rpm
Comment 4 Ralph Bean 2012-05-03 09:11:41 EDT
A question came up in #fedora-devel as to whether or not we can bundle javascript intended to be served by a web app.  There is an explicit exemption in the packaging guidelines making this "OK".

http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries
Comment 5 Neil Horman 2012-05-03 11:13:03 EDT
[nhorman@neilslaptop Downloads]$ rpmlint ./python-tw2-jquery.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nhorman@neilslaptop Downloads]$ rpmlint python-tw2-jquery-2.0.2-2.fc17.src.rpm

python-tw2-jquery.src: W: summary-not-capitalized C jQuery for ToscaWidgets2
python-tw2-jquery.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
python-tw2-jquery.src: W: spelling-error %description -l en_US namespace -> name space, name-space, names pace
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint checks pass, warnings get a pass from me, as the spelling errors are false-positives and jQuery is a proper noun.

I'll do the detailed list in just a bit.
Comment 6 Neil Horman 2012-05-03 13:38:28 EDT
MUST: rpmlint must be run on the source rpm and all binary rpms the build
produces. The output should be posted in the review.[1]
Check

MUST: The package must be named according to the Package Naming Guidelines .
Check

MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. [2] .
Check

MUST: The package must meet the Packaging Guidelines .
Check

MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
Check

MUST: The License field in the package spec file must match the actual license.
[3]
Check

MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.[4]
Check

MUST: The spec file must be written in American English. [5]
Check

MUST: The spec file for the package MUST be legible. [6]
Check

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
Check

MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. [7]
Check
MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. [8]
Check

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
Check

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
Nak - Appears there might be some strings that need internationalization

MUST: Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun. [10]
N/A

MUST: Packages must NOT bundle copies of system libraries.[11]
Check

MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review, along with the rationalization for relocation of
that specific package. Without this, use of Prefix: /usr is considered a
blocker. [12]
Check, no relocation needed

MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory. [13]
Check

MUST: A Fedora package must not list a file more than once in the spec file's
%files listings. (Notable exception: license texts in specific situations)[14]
Check

MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. [15]
MUST: Each package must consistently use macros. [16]
Check

MUST: The package must contain code, or permissable content. [17]
Check

MUST: Large documentation files must go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity). [18]
N/A

MUST: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present. [18]
Check

MUST: Static libraries must be in a -static package. [19]
N/A

MUST: Development files must be in a -devel package. [20]
N/A

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} =
%{version}-%{release} [21]
N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.[19]
N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file,

and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need a
%.desktop file, you must put a comment in the spec file with your explanation.
%[22]
N/A

MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time. [23]
Check

MUST: All filenames in rpm packages must be valid UTF-8. [24]
Check
Comment 7 Neil Horman 2012-05-03 13:46:17 EDT
SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it. [25]
N/A

SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available. [26]
N/A

SHOULD: The reviewer should test that the package builds in mock. [27]
Check

SHOULD: The package should compile and build into binary rpms on all supported
architectures. [28]
Check

SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
Unknown - Unable to check

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity. [29]
N/A

SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency. [21]
N/A

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this
is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb. [30]
N/A

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. [31]
N/A

SHOULD: your package should contain man pages for binaries/scripts. If it
doesn't, work with upstream to add them where they make sense.[32]
N/A
Comment 8 Neil Horman 2012-05-03 13:46:57 EDT
I think the only thing we need to cover here are translations for non-english languages.  Once thats square, I can approve this
Comment 9 Ralph Bean 2012-05-03 16:46:27 EDT
I'm a little confused.  I'm not aware of any translations into non english languages of any parts of the upstream package.  Can you be a little more specific?
Comment 10 Neil Horman 2012-05-04 07:21:27 EDT
I'm referring to this:
MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

I was under the impression that part of the requirement was that we create the locale files so that strings could be translated after packaging
Comment 11 Ralph Bean 2012-05-04 11:15:54 EDT
http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

I interpret the above section to mean that %find_lang is only necessary if the upstream package already contains locale files.  The packager must handle locale files with %find_lang, not by declaring %{_datadir}/locale/* in the %files section.

python-tw2-jquery doesn't have any locale files to begin with.  To generate them, the upstream package would have to be internationalized, which would be a major effort.
Comment 12 Neil Horman 2012-05-04 11:19:20 EDT
Ok, I can get behind that, especially since it seems to be the set precedent (I've sampled other python packages, and they seem to agree with your interpretation).  So ACK from me on this.
Comment 13 Ralph Bean 2012-05-04 12:42:25 EDT
New Package SCM Request
=======================
Package Name: python-tw2-jquery
Short Description: jQuery for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:
Comment 14 Ralph Bean 2012-05-04 12:42:54 EDT
Thank you for the review, Neil.
Comment 15 Gwyn Ciesla 2012-05-04 12:51:33 EDT
Git done (by process-git-requests).
Comment 16 Fedora Update System 2012-05-04 14:44:57 EDT
python-tw2-jquery-2.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jquery-2.0.2-2.fc17
Comment 17 Fedora Update System 2012-05-04 14:45:00 EDT
python-tw2-jquery-2.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jquery-2.0.2-2.el6
Comment 18 Fedora Update System 2012-05-04 18:15:38 EDT
python-tw2-jquery-2.0.2-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 19 Fedora Update System 2012-05-24 11:54:29 EDT
python-tw2-jquery-2.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2012-05-26 02:48:33 EDT
python-tw2-jquery-2.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 21 Ralph Bean 2014-11-12 15:24:54 EST
Package Change Request
======================
Package Name: python-tw2-jquery
New Branches: epel7
Owners: ralph
InitialCC:
Comment 22 Gwyn Ciesla 2014-11-12 17:07:52 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.